Bug 1027052 - (CVE-2013-4521) CVE-2013-4521 Nuxeo RichFaces: Remote code execution due to insecure deserialization
CVE-2013-4521 Nuxeo RichFaces: Remote code execution due to insecure deserial...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20131114,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 21:04 EST by David Jorm
Modified: 2014-10-20 20:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-13 19:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2013-11-05 21:04:31 EST
A flaw was found in the way Nuxeo RichFaces handled deserialization. A remote attacker could use this flaw to trigger the execution of the deserialization methods in any serializable class deployed on the server. This could lead to a variety of security impacts depending on the deserialization logic of these classes. On Nuxeo Server 5.6, 5.7.4 and 5.8, this can be used to trigger deserialization logic which leads to unauthenticated remote code execution.
Comment 1 David Jorm 2013-11-05 21:06:29 EST
Statement:

Not vulnerable. This flaw does not affect RichFaces as shipped with various JBoss products. These products use JBoss RichFaces, which is covered by CVE-2013-2165. This flaw pertains specifically to Nuxeo RichFaces.
Comment 2 David Jorm 2013-11-07 19:16:12 EST
Upstream patch commit:

https://github.com/nuxeo/richfaces/commit/6cbad2a6dcb70d3e33a6ce5879b1a3ad79eb1aec
Comment 3 Murray McAllister 2013-11-07 19:23:17 EST
Acknowledgements:

This issue was discovered by Arun Neelicattu and David Jorm of the Red Hat Security Response Team.

Note You need to log in before you can comment on or make changes to this bug.